Storyden
Robots

Update a robot provider

Update a Robot model provider configuration. API keys are write-only and are redacted from responses.

PATCH/robots/providers/{provider}

Update a Robot model provider configuration. API keys are write-only and are redacted from responses.

Authorization

storyden-session<token>

In: cookie

Path Parameters

provider*string

Robot model provider namespace

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PATCH "https://example.com/robots/providers/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "provider": "string",  "supported": true,  "settings": {    "enabled": true,    "has_api_key": true,    "requires_api_key": true  },  "cache": {    "last_refreshed_at": "2019-08-24T14:15:22Z",    "last_error": "string",    "stale": true  },  "models": [    {      "ref": "string",      "provider": "string",      "model": "string"    }  ]}